com.groupdocs.conversion.handler

## Class ConversionCompleteEventArgs

- java.lang.Object
- - com.groupdocs.conversion.handler.ConversionEventArgs
  - - com.groupdocs.conversion.handler.ConversionCompleteEventArgs

- Direct Known Subclasses:
    CellsConversionCompleteEventArgs, HtmlConversionCompleteEventArgs, ImageConversionCompleteEventArgs, PdfConversionCompleteEventArgs, SlidesConversionCompleteEventArgs, WordsConversionCompleteEventArgs

      public abstract class ConversionCompleteEventArgs
      extends ConversionEventArgs

  Provides data for ConversionComplete event

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConversionCompleteEventArgs(int conversionType)` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConversionType()` Type of conversion
    `boolean` | `getUsedCache()` True it the result is returned from cache
    `void` | `setUsedCache(boolean value)` True it the result is returned from cache

    - ### Methods inherited from class com.groupdocs.conversion.handler.ConversionEventArgs

      `getConversionGuid, getStatus, setConversionGuid, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionCompleteEventArgs

          protected ConversionCompleteEventArgs(int conversionType)

      Default constructor

      Parameters:
        `conversionType` -

  - ### Method Detail

    - #### getConversionType

          public int getConversionType()

      Type of conversion

      Returns:

    - #### getUsedCache

          public boolean getUsedCache()

      True it the result is returned from cache

      Returns:

    - #### setUsedCache

          public void setUsedCache(boolean value)

      True it the result is returned from cache

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.